﻿using EmfAddin.IntegrityChecks.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace EmfAddin.IntegrityChecks.UI
{
    public partial class EClassIssueForm : Form
    {
        public EClassIssueForm(IList<EClassStereotypeProblem> problems)
        {
            InitializeComponent();
            StringBuilder sb = new StringBuilder();
            int i = 0;
            foreach (EClassStereotypeProblem problem in problems)
            {
                sb.Append(++i);
                sb.Append(": Stereotype 'EClass' will be removed from ");
                sb.Append(problem.Type);
                sb.Append(" '");
                sb.Append(problem.Name);
                sb.Append("' with ID ");
                sb.Append(problem.ElementID);
                sb.Append(".");
                sb.Append(Environment.NewLine);
            }
            problemTextBox.Text = sb.ToString();
        }

        private void resolveButton_Click(object sender, EventArgs e)
        {
            DialogResult = DialogResult.OK;
            Close();
        }
    }
}
