﻿using EmfAddin.IntegrityChecks.Core;
using EmfAddin.Utils;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace EmfAddin.IntegrityChecks.UI
{
    public partial class EPackageIssueForm : Form
    {
        public EPackageIssueForm(IList<EPackageTaggedValueProblem> problems)
        {
            InitializeComponent();
            StringBuilder sb = new StringBuilder();
            int i = 0;
            foreach (EPackageTaggedValueProblem problem in problems)
            {
                sb.Append(++i);
                sb.Append(" Tagged value '");
                sb.Append(problem.MissingTaggedValues);
                sb.Append("' will be added to ");
                sb.Append(EMFUtils.STEREOTYPE_E_PACKAGE);
                sb.Append(" '");
                sb.Append(problem.Name);
                sb.Append("'.");
                sb.Append(Environment.NewLine);
            }
            problemTextBox.Text = sb.ToString();
        }

        private void resolveButton_Click(object sender, EventArgs e)
        {
            DialogResult = DialogResult.OK;
            Close();
        }
    }
}
