﻿using System;
using System.Diagnostics;
using System.Windows.Forms;

namespace EmfAddin.Utils
{
    public class Win32Window : IWin32Window
    {
        private readonly IntPtr handle;

        public Win32Window(IntPtr handle)
        {
            this.handle = handle;
        }

        public IntPtr Handle
        {
            get { return handle; }
        }

        public static IWin32Window GetMainWindowHandle()
        {
            IntPtr handle = Process.GetCurrentProcess().MainWindowHandle;
            if (!IntPtr.Zero.Equals(handle))
            {
                return new Win32Window(handle);
            }
            else
            {
                return null;
            }
        }
    }
}
