﻿using System;
using System.Xml;

namespace EmfAddin.Utils
{
    public static class XMLUtils
    {
        public static int GetAttributeValueInt(this XmlNode node, string attributeName, int defaultValue)
        {
            string value = GetAttributeValue(node, attributeName, defaultValue.ToString());
            return int.Parse(value);
        }

        public static string GetAttributeValue(this XmlNode node, string attributeName, string defaultValue)
        {
            if (node != null)
            {
                XmlAttribute attribute = node.Attributes[attributeName];
                if (attribute != null)
                {
                    return attribute.InnerText;
                }
            }
            return defaultValue;
        }
    }
}
